Field Lock Data

Use the Field Lock Data API to manage the list of locked fields in a loan.

The fieldLockData collection stores the list of locked fields in a loan. The Field Lock Data API is used to add, remove, or replace fields in this list.

📘

When updating a fieldLockData collection, the collection passed to this API is appendable and does not replace the existing list of fields in fieldLockData.

Example Flow

  1. Retrieve loan to view current list of locked fields.

    GET /v3/loans/{loanId}

"fieldLockData" : [ "loan.secondSubordinateAmount", "loan.BorrowerPaidFHAVAClosingCostsAmount", "Loan.PrincipalAndInterestMonthlyPaymentAmount"]
  1. Remove a field from the list of locked fields. For example, secondSubordinateAmount.

    PATCH /v3/loans/{loanId}/fieldLockData?Action=remove

[ "loan.secondSubordinateAmount" ]
  1. Retrieve the loan to view the updated list of locked fields.

    GET /v3/loans/{loanId}

"fieldLockData" : ["loan.BorrowerPaidFHAVAClosingCostsAmount", "Loan.PrincipalAndInterestMonthlyPaymentAmount"]